Name:           guacd
Version:        0.6.0
Release:        6%{?dist}
Summary:        Proxy daemon for Guacamole
Group:          System Environment/Daemons
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://downloads.sourceforge.net/guacamole/%{name}-%{version}.tar.gz
Source1:        %{name}.sysconfig
Source2:        %{name}.service
Source3:        %{name}.init

BuildRequires:  cairo-devel%{?_isa}
BuildRequires:  libguac-devel%{?_isa} = %{version}

%if 0%{?fedora} >= 15 || 0%{?rhel} > 6
BuildRequires:          systemd-units

Requires(post):         systemd-sysv
Requires(post):		systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units
%else
Requires(post):		/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Requires(postun):	/sbin/service
%endif

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the Guacamole proxy daemon used by the Guacamole web application and
framework to translates between arbitrary protocols and the Guacamole protocol.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%if 0%{?fedora} >= 15 || 0%{?rhel} > 6

# Systemd unit files
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

%else

# Initscripts
mkdir -p %{buildroot}%{_initrddir}
install -p -m 755 -D %{SOURCE3} %{buildroot}%{_initrddir}/%{name}

%endif

%if 0%{?fedora} >= 15 || 0%{?rhel} > 6

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
    /bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi

%else

%post
/sbin/chkconfig --add %{name}


%preun
if [ "$1" = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{name}
fi


%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%endif

%files
%doc AUTHORS LICENSE README
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man8/%{name}.8.*
%{_sbindir}/%{name}
%if 0%{?fedora} >= 15 || 0%{?rhel} > 6
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%endif

%changelog
* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Fix changelog.

* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Move systemd-units BR to proper place.
 
* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Fixed wrong permissions on systemd service files.
- Small spec fixes.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Re-added BR on systemd-units.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Used common macro styles (buildroot, name).
- Removed macros for base commands as per package guidelines.
- Added missing BuildRequires.
- Removed compression for manpages.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
